---
inputType: CA10__CaAwsInstance__c
conditions:
  - status: COMPLIANT
    currentStateMessage: Test-1
    check:
      UNIT_TEST:
        id: Test-1
        expected:
          text: "unitTest(Test-1): 'true'.asBoolean()"
        arg:
          BOOLEAN_FROM:
            arg:
              TEXT: "true"
            undeterminedIf:
              isEmpty: "Should not happen"
  - status: COMPLIANT
    currentStateMessage: Test-2
    check:
      UNIT_TEST:
        id: Test-2
        expected:
          text: "unitTest(Test-2): 'TRUE'.asBoolean()"
        arg:
          BOOLEAN_FROM:
            arg:
              TEXT: "TRUE"
            undeterminedIf:
              isEmpty: "Should not happen"
  - status: COMPLIANT
    currentStateMessage: Test-3
    check:
      UNIT_TEST:
        id: Test-3
        expected:
          text: "unitTest(Test-3): ' True '.asBoolean()"
        arg:
          BOOLEAN_FROM:
            arg:
              TEXT: " True "
            undeterminedIf:
              isEmpty: "Should not happen"
  - status: COMPLIANT
    currentStateMessage: Test-4
    check:
      UNIT_TEST:
        id: Test-4
        expected:
          text: "unitTest(Test-4): not('false'.asBoolean())"
        arg:
          NOT:
            arg:
              BOOLEAN_FROM:
                arg:
                  TEXT: "false"
                undeterminedIf:
                  isEmpty: "Should not happen"
  - status: COMPLIANT
    currentStateMessage: Test-5
    check:
      UNIT_TEST:
        id: Test-5
        expected:
          text: "unitTest(Test-5): not('any-text'.asBoolean())"
        arg:
          NOT:
            arg:
              BOOLEAN_FROM:
                arg:
                  TEXT: "any-text"
                undeterminedIf:
                  isEmpty: "Should not happen"
  - status: COMPLIANT
    currentStateMessage: Test-6
    check:
      UNIT_TEST:
        id: Test-6
        expected:
          status: UNDETERMINED
          subIndex: 1
          text: "''.isEmpty()"
        arg:
          BOOLEAN_FROM:
            arg:
              TEXT: ""
            undeterminedIf:
              isEmpty: "Empty text received"
  - status: COMPLIANT
    currentStateMessage: Test-7
    check:
      UNIT_TEST:
        id: Test-7
        expected:
          status: UNDETERMINED
          subIndex: 1
          text: "null.isEmpty()"
        arg:
          BOOLEAN_FROM:
            arg:
              UNIT_TEST_NULL:
                returnType: TEXT
            undeterminedIf:
              isEmpty: "Empty text received"
  - status: COMPLIANT
    currentStateMessage: Test-8
    check:
      UNIT_TEST:
        id: Test-8
        expected:
          status: UNDETERMINED
          subIndex: 1
          text: "''.isEmpty()"
        arg:
          BOOLEAN_FROM:
            arg:
              TEXT: ""
            trueValue: ""
            undeterminedIf:
              isEmpty: "Empty text received"
  - status: COMPLIANT
    currentStateMessage: Test-9
    check:
      UNIT_TEST:
        id: Test-9
        expected:
          text: "unitTest(Test-9): '1'.asBoolean('1')"
        arg:
          BOOLEAN_FROM:
            arg:
              TEXT: "1"
            trueValue: "1"
            undeterminedIf:
              isEmpty: "Should not happen"
  - status: COMPLIANT
    currentStateMessage: Test-10
    check:
      UNIT_TEST:
        id: Test-10
        expected:
          text: "unitTest(Test-10): not('Off'.asBoolean('On'))"
        arg:
          NOT:
            arg:
              BOOLEAN_FROM:
                arg:
                  TEXT: "Off"
                trueValue: "On"
                undeterminedIf:
                  isEmpty: "Should not happen"
  - status: COMPLIANT
    currentStateMessage: Test-11
    check:
      UNIT_TEST:
        id: Test-11
        expected:
          text: "unitTest(Test-11): 'ENABLED'.asBoolean('Enabled')"
        arg:
          BOOLEAN_FROM:
            arg:
              TEXT: "ENABLED"
            trueValue: "Enabled"
            undeterminedIf:
              isEmpty: "Should not happen"
otherwise:
  status: INCOMPLIANT
  currentStateMessage: Test Failed
  remediationMessage: Developer Fix Required